/*
	NOTES:
	saztrek color 1: #4ca3da
	saztrek color 2: #3e84c5
	saztrek color 3: #3766b0
	saztrek color 4: #28589b
	
	accent color 1 (red): #eb4339
	accent color 1 (yellow): #eeb91d
	accent color 1 (green): #5eac46
	accent color 1 (blue): #15adb2 --> also consider #e7fcfc, rgba(0,0,0,.03)
	accent color 1 (gray): #86898c
*/

.navbar {
	border-bottom: 2px solid #3e84c54d;
	padding-bottom: 0px;
}

.bg-white {
	background: white;
}
.home-logo {
	height: 50px;
}
.home-font {
	font-style: normal;
	font-weight: 700;
}

.link-home-logo,
.link-home-logo:hover {
    color: #28589b !important;
  	text-decoration: none;
}

/* Override Bootstrap colors */
.navbar-light .navbar-text {
    color: #15adb2;
    font-weight: bold;
}
.breadcrumb {
    background-color: rgba(0,0,0,.03);
}
a {
    color: #28589b;
}
.bg-primary {
	background-color: #28589b !important;
}
.text-primary {
	color: #28589b !important;
}
.border-primary {
	border-color: #28589b !important;
}
.h3, h3 {
    font-size: 1.35rem;
}
.btn-primary, .btn-primary:hover,
.btn-primary:not(:disabled):not(.disabled).active, .btn-primary:not(:disabled):not(.disabled):active, .show > .btn-primary.dropdown-toggle {
	background-color: #28589b;
	border-color: #28589b;
}
.btn-danger, .btn-danger:hover,
.btn-danger:not(:disabled):not(.disabled).active, .btn-danger:not(:disabled):not(.disabled):active, .show > .btn-danger.dropdown-toggle {
	background-color: #eb4339;
	border-color: #eb4339;
}
.btn-success, .btn-success:hover,
.btn-success:not(:disabled):not(.disabled).active, .btn-success:not(:disabled):not(.disabled):active, .show > .btn-success.dropdown-toggle {
	background-color: #5eac46;
	border-color: #5eac46;
}
.btn-warning, .btn-warning:hover,
.btn-warning:not(:disabled):not(.disabled).active, .btn-warning:not(:disabled):not(.disabled):active, .show > .btn-warning.dropdown-toggle {
    background-color: #eeb91d;
    border-color: #eeb91d;
}
.btn-secondary, .btn-secondary:hover,
.btn-secondary:not(:disabled):not(.disabled).active, .btn-secondary:not(:disabled):not(.disabled):active, .show > .btn-secondary.dropdown-toggle {
	background-color: #86898c;
	border-color: #86898c;
}
.page-item.active .page-link {
    background-color: #28589b;
    border-color: #28589b;
}
.page-link {
    color: #28589b;
}
.border-success {
    border-color: #5eac46 !important;
}
/* End Override Bootstrap colors */

.saz-max-width {
	max-width: 80% !important;
}

.container.body-container {
	max-width: 80% !important;
    padding-top: 15px;
}

.container img {
	max-height: 6rem;
}

.form-signin {
    max-width: 330px;
    padding: 15px;
    margin: 0 auto;
}

.form-signin .form-signin-heading,
.form-signin .checkbox {
    margin-bottom: 10px;
}

.form-signin .checkbox {
    font-weight: normal;
}

.form-signin .form-control {
    position: relative;
    height: auto;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    padding: 10px;
    font-size: 16px;
}

.form-signin .form-control:focus {
    z-index: 2;
}

.form-signin input {
    margin-top: 10px;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
}

.form-signin button {
    margin-top: 10px;
}

.has-error {
    color: red
}

.form-warning {
	display: none;
	margin-top: 1rem;
}

.dropdown-item.active {
    background-color: #28589b;
}

.dropdown-item:hover:not(:focus) {
    color: #ffffff;
    background-color: #15adb2;
}

.saz-action-dropdown .dropdown-item {
	cursor: pointer;
	color: #28589b;
}

.saz-action-dropdown .dropdown-item a {
	color: #28589b !important;
}

.saz-action-dropdown .dropdown-item:hover a {
	color: #ffffff !important;
}

.saz-action-dropdown .dropdown-item * {
	vertical-align: top;
}

.table-borderless > tbody > tr > td,
.table-borderless > tbody > tr > th,
.table-borderless > tfoot > tr > td,
.table-borderless > tfoot > tr > th,
.table-borderless > thead > tr > td,
.table-borderless > thead > tr > th {
    border: none;
}

.display-inline-block {
	display: inline-block;
}

.display-inline {
	display: inline;
}

.inner-addon { 
    position: relative; 
}

.inner-addon .glyphicon {
  position: absolute;
  padding: 10px;
  pointer-events: none;
}

.left-addon .glyphicon  { 
	left:  0px;
}
.right-addon .glyphicon { 
	right: 0px;
}

.left-addon input  { 
	padding-left:  30px; 
}

.right-addon input { 
	padding-right: 30px; 
}

/* Rules for sizing the icon. */
.material-icons.md-18 { font-size: 18px; }
.material-icons.md-24 { font-size: 24px; }
.material-icons.md-36 { font-size: 36px; }
.material-icons.md-48 { font-size: 48px; }

/* Rules for using icons as black on a light background. */
.material-icons.md-dark { color: rgba(0, 0, 0, 0.54); }
.material-icons.md-dark.md-inactive { color: rgba(0, 0, 0, 0.26); }

/* Rules for using icons as white on a dark background. */
.material-icons.md-light { color: rgba(255, 255, 255, 1); }
.material-icons.md-light.md-inactive { color: rgba(255, 255, 255, 0.3); }

.fas-link:hover {
    text-decoration: none;
}

.input-group input{
  	border:none;
  	background-color: transparent;
}
.input-group input:focus {
    outline: none;
}
.input-group {
  	border: 1px solid #ced4da;
	border-radius: .25rem;
    padding-right: 0;
    padding-left: 0;
}
.input-group .input-group-addon {
    padding-top: 5px;
}

.font-gray {
	color: #86898c;
}

.card-row .card {
    margin-bottom: 15px;
    font-size: 14px;
}

.card-row {
	padding-bottom: 15px;
}

.hover-card:hover {
	background: rgba(0,0,0,.03);
	cursor: pointer;
	text-decoration: none;
}

.navbar-brand {
	cursor: pointer;
}

.errorpage-icon {
    font-size: 60px;
}

.alert.alert-dismissible {
    margin-bottom: 0;
    margin-top: 1rem;
}

.msgalert, .msgsuccess, .msgconfirm, .msgwarning {
	display: none;
}
.msgconfirm-confirm {
	float: right;
}
.msgconfirm-cancel {
	right: 40px !important;
}

tr.no-bottom-padding td {
	padding-bottom: 0px !important;
}

td.no-bottom-padding {
	padding-bottom: 0px !important;
}

/* DataTables Format */
table.dataTable thead .sorting:after, 
table.dataTable thead .sorting_asc:after, 
table.dataTable thead .sorting_desc:after, 
table.dataTable thead .sorting_asc_disabled:after, 
table.dataTable thead .sorting_desc_disabled:after,
table.dataTable thead .sorting:before, 
table.dataTable thead .sorting_asc:before, 
table.dataTable thead .sorting_desc:before, 
table.dataTable thead .sorting_asc_disabled:before, 
table.dataTable thead .sorting_desc_disabled:before {
    visibility: hidden;
}
.dataTables_wrapper .bootstrap-datatable {
	border-collapse: collapse !important;
}
.dataTables_wrapper .dataTables_info {
    padding-top: 0;
    display: inline;
    font-size: 13px;
    float: right;
}
.dataTables_wrapper .dataTables_length {
	text-align: right;
    display: inline;
    font-size: 13px;
}
.dataTables_wrapper .dataTables_paginate {
	text-align: left !important;
}
.dataTables_wrapper .dataTables_paginate a {
    font-size: 13px;
    padding-right: 5px;
}
.dataTables_length select[name='clearanceTable_length'] {
  	border: 1px solid #ced4da;
	border-radius: .25rem;
}

.dt-buttons .btn-secondary {
    background-color: #28589b;
    border-color: #28589b;
}
.dataTable td, .dataTable th {
	white-space: nowrap;
}
.dataTable {
	width: 100% !important;
}
.dataTable.table-hover tbody tr:hover {
    background-color: white;
}
.dataTable tbody tr {
	font-family: Courier;
}
.dataTables_filter { 
    display: inline;
    float: right;
}
.navbar-brand i.material-icons {
    vertical-align: -3px;
}

/* Customized Page stuff */
.page-header {
	padding: 0 0 25px 0;
}

.settings-btn {
	float: none;
	padding: 0.2rem;
	border: 0px;
	background: transparent;
	cursor: pointer;
	color: #28589b;
	border-radius: .3rem;
    font-size: x-large;
}

.settings-btn:hover {
	background: #28589b;
	color: #fff;
}

.dataTables_scrollBody {
	min-height: 250px !important;
}

.hr-table a:hover {
	text-decoration: none;
}

.label-edit span {
	vertical-align: top;
}

.saz-action-btns {
	display: flex;
}

.table-button-row {
	text-align: end;
	padding: 1em 0 1em 0;
}

/* Accordion -> Tab */
.saz-tab .container {
	display: inline-block;
}

.saz-tab .col-sm {
	padding: 0;
}

.saz-tab .card-header {
	border: 0;
}

.saz-tab .card-header {
	cursor: pointer;
}

.saz-tab .accord-card-buttons .btn-primary {
	color: #fff;
}

.saz-tab .mb-0 {
	font-size: 1.1em;
	color: #fff;
	background: #28589b;
	border-top-left-radius: 0.2em;
	border-top-right-radius: 1em;
}

.saz-tab .mb-0.collapsed {
	color: #676767;
	background: #ddd;
}

/* Modal */
.saz-modal .modal-body {
	width: 100%;
	max-height: 550px;
	overflow-y: auto;
}

.modal-dialog[data-submodule='cashcard-history'],
.modal-dialog[data-submodule='general-wide'] {
	max-width: 80%;
}

.modal-dialog[data-submodule='general-half'] {
	max-width: 50%;
}
	
.modal-dialog[data-modal-type='general'],
.modal-dialog[data-submodule='general'] {
	max-width: 40%;
}

.modal-dialog[data-submodule='general-small'] {
	max-width: 30%;
}

.saz-modal td {
	padding: 0.2rem;
}

.saz-modal textarea {
	resize: none;
}

.modal-options {
	display: grid;
}

.modal-options > span {
	border: solid 1px #28589b;
	padding: 1rem;
	border-radius: .25rem;
	color: #28589b;
	background: #fff;
	margin: 0.25rem;
	cursor: pointer;
}

.modal-options .material-icons {
	vertical-align: bottom;
}

.search-wrapper {
	display: flex;
	padding-bottom: .3rem;
}

.search-wrapper .form-control {
	margin-right: .3rem;
}

.search-result {
	overflow-y: auto;
	max-height: 30rem;
}
	
.search-result > div {
	display: flex;
}

.search-result > div .settings-btn {
	line-height: unset;
}

/* Popover */
.popover-body .search-wrapper .form-control {
	width: 70%;
}

.popover-body .search-result {
	max-height: 10rem;
}

/* DateRange Picker */
.daterangepicker td.active, .daterangepicker td.active:hover {
    background-color: #28589b;
}

.hidden-element {
    display: none !important;
}

/* MultiSelect */
.ms-container {
    width: 100%;
}

/* Numbered Checkbox */
.numbered-checkbox {
	font-size: 18px;
	font-weight: bold;
	text-align: center;
	width: 40px;
	height: 33px;
}

.col-half {
	max-width: 50%;
}

.modal-form .row {
	margin-bottom: .5rem;
}

.display-inline {
	display: inline;
}
.float-right {
	float: right;
}

.not-tally-modal-link {
	margin-right: 10px;
}

#statusLegend {
	margin-left: 10px;
}

.no-padding {
	padding: 0px;
}
